Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.axis2.hooks
Class ODEAxisService

    java.lang.Object
      org.apache.axis2.description.AxisDescription
          org.apache.axis2.description.AxisService
              org.apache.ode.axis2.hooks.ODEAxisService

All Implemented Interfaces:
  org.apache.axis2.description.DescriptionConstants, org.apache.axis2.description.ParameterInclude

    public class ODEAxisService

extends org.apache.axis2.description.AxisService

Implementation of Axis Service used by ODE iapi to enlist itself its service. Allows us to build the service using a WSDL definition using our own receiver.

Nested Class Summary
`static class` | `ODEAxisService.WSDL11ToAxisPatchedBuilder`

Field Summary

Fields inherited from class org.apache.axis2.description.AxisService
`IMPORT_TAG, INCLUDE_TAG, SCHEMA_LOCATION, SUPPORT_SINGLE_OP`

Fields inherited from class org.apache.axis2.description.AxisDescription
`engagedModules, parent`

Fields inherited from interface org.apache.axis2.description.DescriptionConstants
`CLASSLOADER_KEY, CONTEXTPATH_KEY, EXECUTION_CHAIN_KEY, EXECUTION_FAULT_CHAIN_KEY, EXECUTION_OUT_CHAIN_KEY, IN_FAULTFLOW_KEY, INFLOW_KEY, MESSAGE_RECEIVER_KEY, MODULEREF_KEY, OPERATION_KEY, OUT_FAULTFLOW_KEY, OUTFLOW_KEY, PARAMETER_KEY, PHASES_KEY, SERVICE_CLASS_NAME, STYLE_KEY`

Constructor Summary
`ODEAxisService()`

Method Summary
`static org.apache.axis2.description.AxisService` | `createService(org.apache.axis2.engine.AxisConfiguration axisConfig, ProcessConf pconf, javax.xml.namespace.QName wsdlServiceName, java.lang.String portName)`
`static org.apache.axis2.description.AxisService` | `createService(org.apache.axis2.engine.AxisConfiguration axisConfig, javax.xml.namespace.QName serviceQName, java.lang.String port, java.lang.String axisName, javax.wsdl.Definition wsdlDef, org.apache.axis2.engine.MessageReceiver receiver)`
`protected static java.lang.String` | `parseURLForService(java.lang.String path)` Obtain the service name from the request URL.

Methods inherited from class org.apache.axis2.description.AxisService
`addDataLocatorClassNames, addEndpoint, addExposedTransport, addHttpLocationDispatcherString, addMessageElementQNameToOperationMapping, addMessageReceiver, addModuleConfig, addModuleref, addOperation, addSchema, addSchema, createClientSideAxisService, createClientSideAxisService, createService, createService, createService, getAxisServiceGroup, getBindingName, getClassLoader, getControlOperations, getCustomSchemaNamePrefix, getCustomSchemaNameSuffix, getData, getEndpoint, getEndpointName, getEndpoints, getEndpointURL, getEPRs, getExposedTransports, getFileName, getGlobalDataLocator, getKey, getLastupdate, getMessageReceiver, getModuleConfig, getModules, getName, getNamespaceMap, getNameSpacesMap, getObjectSupplier, getOperation, getOperationByAction, getOperationByMessageElementQName, getOperationBySOAPAction, getOperations, getOperationsNameList, getP2nMap, getPortTypeName, getPublishedOperations, getSchema, getSchema, getSchemaElement, getSchemaMappingTable, getSchematargetNamespace, getSchemaTargetNamespacePrefix, getScope, getServiceDescription, getServiceLifeCycle, getSoapNsUri, getTargetNamespace, getTargetNamespacePrefix, getTypeTable, getWSAddressingFlag, isActive, isClientSide, isCustomWsdl, isElementFormDefault, isEnableAllTransports, isExposedTransport, isModifyUserWSDLPortAddress, isSchemaLocationsAdjusted, isUseDefaultChains, isUseUserWSDL, isWsdlFound, loadDataLocator, mapActionToOperation, onDisengage, onEngage, populateSchemaMappings, printSchema, printUserWSDL, printWSDL, printWSDL, printWSDL2, printWSDL2, releaseSchemaList, removeExposedTransport, removeOperation, setActive, setBindingName, setClassLoader, setClientSide, setCustomSchemaNamePrefix, setCustomSchemaNameSuffix, setCustomWsdl, setElementFormDefault, setEnableAllTransports, setEndpointName, setEndpointURL, setEPRs, setExposedTransports, setFileName, setLastupdate, setMessageElementQNameToOperationMap, setName, setNamespaceMap, setNameSpacesMap, setObjectSupplier, setOperationsNameList, setP2nMap, setParent, setPortTypeName, setSchemaLocationsAdjusted, setSchemaMappingTable, setSchemaTargetNamespace, setSchematargetNamespacePrefix, setScope, setServiceDescription, setServiceLifeCycle, setSoapNsUri, setTargetNamespace, setTargetNamespacePrefix, setTypeTable, setUseDefaultChains, setWSAddressingFlag, setWsdlFound, toString`

Methods inherited from class org.apache.axis2.description.AxisDescription
`addChild, addChild, addParameter, addParameter, applyPolicy, applyPolicy, deserializeParameters, disengageModule, engageModule, engageModule, getAxisConfiguration, getChild, getChildren, getDocumentation, getEngagedModules, getParameter, getParameters, getParameterValue, getParent, getPolicyInclude, isEngaged, isEngaged, isParameterLocked, isParameterTrue, removeChild, removeParameter, setDocumentation, setParent, setPolicyInclude`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ODEAxisService

    public ODEAxisService()

Method Detail

### createService

    public static org.apache.axis2.description.AxisService createService(org.apache.axis2.engine.AxisConfiguration axisConfig,
                                                                         ProcessConf pconf,
                                                                         javax.xml.namespace.QName wsdlServiceName,
                                                                         java.lang.String portName)
                                                                  throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### createService

    public static org.apache.axis2.description.AxisService createService(org.apache.axis2.engine.AxisConfiguration axisConfig,
                                                                         javax.xml.namespace.QName serviceQName,
                                                                         java.lang.String port,
                                                                         java.lang.String axisName,
                                                                         javax.wsdl.Definition wsdlDef,
                                                                         org.apache.axis2.engine.MessageReceiver receiver)
                                                                  throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### parseURLForService

    protected static java.lang.String parseURLForService(java.lang.String path)

  Obtain the service name from the request URL. The request URL is expected to use the path "/processes/" under which all processes and their services are listed. Returns null if the path does not contain this part.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD